<id>
NoSpamByGuests
</id>

<version>
0.2
</id>

<edit file>
$sourcedir/Post.php
</edit file>

<search for>
				// Validate the name and email.
				if (!isset($_REQUEST['guestname']) || trim(strtr($_REQUEST['guestname'], '_', ' ')) == '')
					$context['post_error']['no_name'] = true;
				elseif (strlen($_REQUEST['guestname']) > 25)
					$context['post_error']['long_name'] = true;
				elseif (isReservedName(htmlspecialchars($_REQUEST['guestname'])))
					$context['post_error']['bad_name'] = true;

				if (!isset($_REQUEST['email']) || $_REQUEST['email'] == '')
					$context['post_error']['no_email'] = true;
				elseif (preg_match('~^[0-9A-Za-z=_+\-/][0-9A-Za-z=_\'+\-/\.]+@[\w\-]+(\.[\w\-]+)*(\.[\w]{2,6})$~', stripslashes($_REQUEST['email'])) == 0)
					$context['post_error']['bad_email'] = true;
</search for>

<add after>

                // by NoSpamByGuests mod
		if (isset($_POST['message']))
		{
                	$linkpos = strpos ($_POST['message'], "://"); // look for ://
                	if ($linkpos !== false) $context['post_error']['guest_no_link'] = true;
                	else {
                	  $linkpos = strpos ($_POST['message'], "www."); // look for www.
                	  if ($linkpos !== false) $context['post_error']['guest_no_link'] = true;
                	}
		}
</add after>

<search for>
	if ($posterIsGuest)
	{
		$_POST['guestname'] = !isset($_POST['guestname']) ? '' : trim($_POST['guestname']);
		$_POST['email'] = !isset($_POST['email']) ? '' : trim($_POST['email']);

		if ($_POST['guestname'] == '' || $_POST['guestname'] == '_')
			$post_errors[] = 'no_name';
		if (strlen($_POST['guestname']) > 25)
			$post_errors[] = 'long_name';
		if (!isset($_POST['email']) || $_POST['email'] == '')
			$post_errors[] = 'no_email';
		if (preg_match('~^[0-9A-Za-z=_+\-/][0-9A-Za-z=_\'+\-/\.]+@[\w\-]+(\.[\w\-]+)*(\.[\w]{2,6})$~', stripslashes($_POST['email'])) == 0)
			$post_errors[] = 'bad_email';
</search for>

<add after>

        // by NoSpamByGuests mod
		if (isset($_POST['message']))
		{
			$linkpos = strpos ($_POST['message'], "://"); // look for ://
			if ($linkpos !== false) $post_errors[] = 'guest_no_link';
			else {
				$linkpos = strpos ($_POST['message'], "www."); // look for www.
				if ($linkpos !== false) $post_errors[] = 'guest_no_link';
			}
		}
</add after>

<edit file>
$languagedir/Errors.english.php
</edit file>

<search for>
?>
</search for>

<add before>

// by NoSpamByGuests mod
$txt['error_guest_no_link'] = 'Sorry, guests are not allowed to post links. If this link is of any importance for your posting, please register first.';
</add before>
